Subject: Re: bug#36288: 27.0.50; Cannot use menu-set-font
From: YAMAMOTO Mitsuharu <[email-masked]>
To: Robert Pluim <[email-masked]>
Cc: [email-masked]
Date: Sun, 30 Jun 2019 16:02:46 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, 23 Jun 2019 22:50:11 +0900,
Robert Pluim wrote:
> 
> >>>>> On Sun, 23 Jun 2019 15:34:23 +0900, YAMAMOTO Mitsuharu <[email-masked]> said:
>     >> On second thought, it seems to be better to leave the font type
>     >> unspecified.  Hard-coding the wanted font type was introduced as a
>     >> "fix" for Bug#3228, but I suspect its reasoning is no longer valid (I
>     >> couldn't find fonts.alias in the Type1 font directory in CentOS or
>     >> Linux Mint).  Also, probably we should set the :family font property
>     >> instead of :name.
> 
> Thanks, that fixed things for me, with font-backend '(xfthb x) and '(x xfthb)
> 
> Iʼve not looked at Bug#3228, but at least on my Ubuntu machine I have:
> 
> /usr/share/fonts/X11/Type1/fonts.alias
> /usr/share/fonts/X11/misc/fonts.alias
> 
> but given the prevalence of opentype and truetype fonts, Iʼm not sure
> that thereʼs anything to worry about.

Ah, the package gsfonts-X11 seems to provide fonts.alias for URW Type1
fonts.  Anyway, I think the behavior originally reported as Bug#3228
is actually consistent in the sense that "% emacs -fn courier-12" also
displays the text in "ugly" font in OP's environment.

Also, x-select-font is a function for a generic font selection dialog,
not specific to menu-select-font.  So its result should not include
font type property only for menu-select-font.

I've pushed the patch to master as e2d8c1e8bcf.  Closing the bug.

				     YAMAMOTO Mitsuharu
				[email-masked]